2017-11-23 17:56 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000177Cheat Enginepublic2012-12-01 11:55
ReporterCsimbi 
Assigned ToDark Byte 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000177: Structure paste in data dissect
DescriptionOpen two data dissect windows.
Say, W1 contains this:
0000 - fCoordsX
0004 - fCoordsY
0008 - fCoordsZ
and W2 contains this:
0000 - iInt1
0004 - iInt2
0008 - iInt3
000C - iInt4

Now, highlight the three floats in W1 and hit CTRL+C.
Click on iInt3 in W2 and hit CTRL+V.

I would expect this as the result:
0000 - iInt1
0004 - iInt2
0008 - iInt3
000C - fCoordsX
000C - iInt4
0010 - fCoordsY
0014 - fCoordsZ

However, the result is this:
0000 - fCoordsX
0000 - iInt1
0004 - fCoordsY
0004 - iInt2
0008 - fCoordsZ
0008 - iInt3

This makes it very hard to copy-paste known elements from one structure to another as the offsets must be adjusted manually (instead of just removing overlaps).
Additional InformationLet me know if you need help testing.
Thank you.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000367

Dark Byte (developer)

Confirmed. Happens with the keypress only. Rightclicking and then paste will do it as intended

~0000382

Dark Byte (developer)

fixed in the svn
+Notes

-Issue History
Date Modified Username Field Change
2012-08-21 04:17 Csimbi New Issue
2012-08-27 19:19 Dark Byte Note Added: 0000367
2012-08-27 19:19 Dark Byte Status new => confirmed
2012-12-01 11:55 Dark Byte Note Added: 0000382
2012-12-01 11:55 Dark Byte Status confirmed => resolved
2012-12-01 11:55 Dark Byte Resolution open => fixed
2012-12-01 11:55 Dark Byte Assigned To => Dark Byte
+Issue History